Какая версия Dokka идет с какой версией Kotlin?

Всякий раз, когда версии Kotlin и Dokka несовместимы, в играх Gradle и Maven могут возникнуть странные вещи. Я не могу найти нигде список совместимых версий между ними. Что такое совместимость версий?

Примечание: этот вопрос намеренно написан автором и автору ( ответы на вопросы ), так что идиоматические ответы на часто задаваемые темы Котлина присутствуют в SO.

Ниже приведены совместимые версии:

 Версия Kotlin Dokka Version
 ---------------- | -----------------
 1,0,0 0,9,7
 1,0.1 0,9,7
 все 0.9.8 или новее 

Начиная с 0.9.8 больше не может конфликтовать с классами компилятора, так как в нее встроена затененная версия компилятора.

См. Текущие версии в maven-репозитории